@import 'settings';
@import 'mixins';
@import 'typography';

.BlogEntry {
    &__content {
        max-width: 670px;
        margin: 0 auto;
        padding-bottom: 100px;
    }

    &__post-date {
        @include small-type;
    }

    &__post-footer {
        text-align: center;
        margin-top: -20px;

        a {
            &:not(:last-child) {
                padding-right: 22px;
            }
        }
    }

    &__content-item {
        img {
            max-width: 100%;
            height: auto;
        }
    }

    @media #{$mobile} {
        &__content {
            padding: 0 15px 80px 15px;
        }

        &__post-header {
            text-align: center;
        }
    }
}
